using System;
using System.Collections;
using System.ComponentModel;
using System.Drawing;
using System.Drawing.Drawing2D; 
using System.Data;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Grid;
using Syncfusion.Drawing; 

namespace shareStyles
{
	/// <summary>
	/// Summary description for MySharedGRid.
	/// </summary>
	public class MySharedGrid : GridControl
	{
		
		public MySharedGrid()
		{
			ResetBaseStylesMap();			
		}

		//You should be able to derive a grid control and in the derived class add this method:
	   /// <summary>
	   /// Resets the <see cref="BaseStylesMap"/> property.
	   /// </summary>

		public new void ResetBaseStylesMap()
		{
			BaseStylesMap.RegisterStandardStyles();
			GridModel model = Model;
			
			///<summary>
			/// Add your base styles below and then
			///call .Modified = false 
			///( you can also read from an xml file here and 
			///deserialize styles from a file or resource here )
			///</summary>
			
			GridStyleInfo standard = model.BaseStylesMap["Standard"].StyleInfo;
			GridStyleInfo header = model.BaseStylesMap["Header"].StyleInfo;
			GridStyleInfo rowHeader = model.BaseStylesMap["Row Header"].StyleInfo;
			GridStyleInfo colHeader = model.BaseStylesMap["Column Header"].StyleInfo;
			GridStyleInfo blah      = model.BaseStylesMap["blah"].StyleInfo ;
			
			GridFontInfo boldFont = new GridFontInfo();
			boldFont.Bold = true;
			boldFont.Size = 8;
			boldFont.Facename = "Verdana";
			
			standard.TextColor = Color.Red ; //Color.FromArgb(0, 21, 84);
			blah.TextColor = Color.Green ;
			//Default Color.
//			header.Interior = new BrushInfo(GradientStyle.Vertical, Color.FromArgb(203, 199, 184), Color.FromArgb(238, 234, 216));
//			rowHeader.Interior = new BrushInfo(GradientStyle.Horizontal, Color.FromArgb(203, 199, 184), Color.FromArgb(238, 234, 216));

			header.Interior = new BrushInfo(GradientStyle.Vertical, Color.FromArgb(51, 51, 102), Color.FromArgb(237, 240, 247));
			rowHeader.Interior = new BrushInfo(GradientStyle.Horizontal, Color.FromArgb(51, 51, 102), Color.FromArgb(237, 240, 247));
			
			standard.Font.Size = 9;
			standard.Font.Facename = "Tahoma";
			standard.Interior = new BrushInfo(Color.FromArgb(237, 240, 247));
			
			BaseStylesMap.Modified = false;
			Refresh();
		}
	}
}
